Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class TrueUnion

    java.lang.Object
      org.apache.openjpa.jdbc.sql.LogicalUnion
          kodo.jdbc.sql.TrueUnion

All Implemented Interfaces:
  SelectExecutor, Union

    public class TrueUnion

extends LogicalUnion

True SQL UNION. The following limitations apply:

- Zero or one mapping per select.
- If non-column ordering critieria is added or incompatible ordering columns are selected, the UNION will fallback to a logical union.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.sql.LogicalUnion
`LogicalUnion.Selector, LogicalUnion.UnionSelect`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.sql.LogicalUnion
`desc, dict, mappings, sels`

Constructor Summary
`TrueUnion(JDBCConfiguration conf, int selects)` Constructor.
`TrueUnion(JDBCConfiguration conf, Select[] seeds)` Constructor used to seed the internal selects.

Method Summary
`void` | `abortUnion()`
`Result` | `execute(JDBCStore store, JDBCFetchConfiguration fetch, int lockLevel)`
`int` | `getCount(JDBCStore store)`
`String` | `getOrdering()`
`boolean` | `isUnion()`
`protected LogicalUnion.UnionSelect` | `newUnionSelect(SelectImpl seed, int pos)`
`void` | `select(Union.Selector selector)`
`boolean` | `supportsLocking()`
`boolean` | `supportsRandomAccess(boolean forUpdate)`
`SQLBuffer` | `toSelect(boolean forUpdate, JDBCFetchConfiguration fetch)`
`SQLBuffer` | `toSelectCount()`

Methods inherited from class org.apache.openjpa.jdbc.sql.LogicalUnion
`execute, getAutoDistinct, getConfiguration, getDBDictionary, getExpectedResultCount, getJoinSyntax, getSelects, isDistinct, isLRS, setAutoDistinct, setDistinct, setExpectedResultCount, setJoinSyntax, setLRS, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrueUnion

    public TrueUnion(JDBCConfiguration conf,
                     int selects)

  Constructor.

  Parameters:
    `conf` - system configuration
    `selects` - the number of SQL selects to union together

### TrueUnion

    public TrueUnion(JDBCConfiguration conf,
                     Select[] seeds)

  Constructor used to seed the internal selects.

Method Detail

### newUnionSelect

    protected LogicalUnion.UnionSelect newUnionSelect(SelectImpl seed,
                                                      int pos)

  Overrides:
    `newUnionSelect` in class `LogicalUnion`

### isUnion

    public boolean isUnion()

  Specified by:
    `isUnion` in interface `Union`
  Overrides:
    `isUnion` in class `LogicalUnion`

### abortUnion

    public void abortUnion()

  Specified by:
    `abortUnion` in interface `Union`
  Overrides:
    `abortUnion` in class `LogicalUnion`

### getOrdering

    public String getOrdering()

  Specified by:
    `getOrdering` in interface `Union`
  Overrides:
    `getOrdering` in class `LogicalUnion`

### toSelect

    public SQLBuffer toSelect(boolean forUpdate,
                              JDBCFetchConfiguration fetch)

  Specified by:
    `toSelect` in interface `SelectExecutor`
  Overrides:
    `toSelect` in class `LogicalUnion`

### toSelectCount

    public SQLBuffer toSelectCount()

  Specified by:
    `toSelectCount` in interface `SelectExecutor`
  Overrides:
    `toSelectCount` in class `LogicalUnion`

### supportsRandomAccess

    public boolean supportsRandomAccess(boolean forUpdate)

  Specified by:
    `supportsRandomAccess` in interface `SelectExecutor`
  Overrides:
    `supportsRandomAccess` in class `LogicalUnion`

### supportsLocking

    public boolean supportsLocking()

  Specified by:
    `supportsLocking` in interface `SelectExecutor`
  Overrides:
    `supportsLocking` in class `LogicalUnion`

### getCount

    public int getCount(JDBCStore store)
                 throws SQLException

  Specified by:
    `getCount` in interface `SelectExecutor`
  Overrides:
    `getCount` in class `LogicalUnion`
  Throws:
    `SQLException`

### execute

    public Result execute(JDBCStore store,
                          JDBCFetchConfiguration fetch,
                          int lockLevel)
                   throws SQLException

  Specified by:
    `execute` in interface `SelectExecutor`
  Overrides:
    `execute` in class `LogicalUnion`
  Throws:
    `SQLException`

### select

    public void select(Union.Selector selector)

  Specified by:
    `select` in interface `Union`
  Overrides:
    `select` in class `LogicalUnion`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.